# oneAPI DPC++ Library (oneDPL)

The oneAPI DPC++ Library (oneDPL) aims to work with the oneAPI DPC++ Compiler
to provide high-productivity APIs to developers, which can minimize DPC++
programming efforts across devices for high performance parallel applications.
oneDPL consists of following components:
* Parallel STL for DPC++
* An additional set of library classes and functions (referred below as "Extension API")
* Tested standard C++ APIs

## Prerequisites
Install Intel(R) oneAPI Base Toolkit (Base Kit) to use oneDPL and please refer to [System requirements](https://software.intel.com/content/www/us/en/develop/articles/intel-oneapi-dpcpp-system-requirements-beta.html).

## Release Information
Here is the latest [Release Notes](https://software.intel.com/content/www/us/en/develop/articles/intel-oneapi-dpcpp-library-release-notes-beta.html).

## License
oneDPL is licensed under [Apache License Version 2.0 with LLVM exceptions](https://github.com/oneapi-src/oneDPL/blob/release_oneDPL/licensing/LICENSE.txt). Refer to the "[LICENSE](licensing/LICENSE.txt)" file for the full license text and copyright notice.

## Security
See Intel's [Security Center](https://www.intel.com/content/www/us/en/security-center/default.html)
for information on how to report a potential security issue or vulnerability.
See also: [Security Policy](SECURITY.md)

## Contributing
See [CONTRIBUTING.md](https://github.com/oneapi-src/oneDPL/blob/release_oneDPL/CONTRIBUTING.md) for details.

## Documentation
See [Library Guide](https://software.intel.com/content/www/us/en/develop/documentation/oneapi-dpcpp-library-guide/top.html) with oneDPL.

## Samples
You can find oneDPL samples in [Samples](https://github.com/oneapi-src/oneAPI-samples/tree/master/Libraries/oneDPL).

## Support and contribution
Please report issues and suggestions via [GitHub issues](https://github.com/oneapi-src/oneDPL/issues).

------------------------------------------------------------------------
Intel and the Intel logo are trademarks of Intel Corporation or its subsidiaries in the U.S. and/or other countries.

\* Other names and brands may be claimed as the property of others.
